Name:        open-dyslexic-nerd-fonts
Version:     3.4.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     Bitstream-Vera
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/OpenDyslexic.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 OpenDyslexicAltNerdFont-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFont-BoldItalic.otf
install -Dm644 OpenDyslexicAltNerdFontPropo-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFontPropo-BoldItalic.otf
install -Dm644 OpenDyslexicAltNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFont-Bold.otf
install -Dm644 OpenDyslexicAltNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFontPropo-Bold.otf
install -Dm644 OpenDyslexicAltNerdFont-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFont-Italic.otf
install -Dm644 OpenDyslexicAltNerdFontPropo-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFontPropo-Italic.otf
install -Dm644 OpenDyslexicAltNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFont-Regular.otf
install -Dm644 OpenDyslexicAltNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFontPropo-Regular.otf
install -Dm644 OpenDyslexicNerdFont-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicNerdFont-BoldItalic.otf
install -Dm644 OpenDyslexicNerdFontPropo-BoldItalic.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicNerdFontPropo-BoldItalic.otf
install -Dm644 OpenDyslexicNerdFont-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicNerdFont-Bold.otf
install -Dm644 OpenDyslexicNerdFontPropo-Bold.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicNerdFontPropo-Bold.otf
install -Dm644 OpenDyslexicNerdFont-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicNerdFont-Italic.otf
install -Dm644 OpenDyslexicNerdFontPropo-Italic.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicNerdFontPropo-Italic.otf
install -Dm644 OpenDyslexicMNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicMNerdFont-Regular.otf
install -Dm644 OpenDyslexicMNerdFontMono-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicMNerdFontMono-Regular.otf
install -Dm644 OpenDyslexicMNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicMNerdFontPropo-Regular.otf
install -Dm644 OpenDyslexicNerdFont-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicNerdFont-Regular.otf
install -Dm644 OpenDyslexicNerdFontPropo-Regular.otf %{buildroot}%{_datadir}/fonts/%{name}/OpenDyslexicNerdFontPropo-Regular.otf

%files

%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFont-BoldItalic.otf
%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFontPropo-BoldItalic.otf
%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFont-Italic.otf
%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFontPropo-Italic.otf
%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/OpenDyslexicAltNerdFontPropo-Regular.otf
%{_datadir}/fonts/%{name}/OpenDyslexicNerdFont-BoldItalic.otf
%{_datadir}/fonts/%{name}/OpenDyslexicNerdFontPropo-BoldItalic.otf
%{_datadir}/fonts/%{name}/OpenDyslexicNerdFont-Bold.otf
%{_datadir}/fonts/%{name}/OpenDyslexicNerdFontPropo-Bold.otf
%{_datadir}/fonts/%{name}/OpenDyslexicNerdFont-Italic.otf
%{_datadir}/fonts/%{name}/OpenDyslexicNerdFontPropo-Italic.otf
%{_datadir}/fonts/%{name}/OpenDyslexicMNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/OpenDyslexicMNerdFontMono-Regular.otf
%{_datadir}/fonts/%{name}/OpenDyslexicMNerdFontPropo-Regular.otf
%{_datadir}/fonts/%{name}/OpenDyslexicNerdFont-Regular.otf
%{_datadir}/fonts/%{name}/OpenDyslexicNerdFontPropo-Regular.otf
%license "LICENSE.txt"
%doc "README.md"

%changelog
* Sat May 10 2025 Kyle Bloom <kylejbloom@gmail.com> - 3.4.0-1
- Updated to version v3.4.0

* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
